View Issue Details

IDProjectCategoryView StatusLast Update
14459Bug reports[All Projects] Survey participants (Tokens)public2019-05-29 16:39
ReportercdorinAssigned ToDenisChenu 
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14459: Token field not displayed when checking for duplicates (import csv survey participants)
Description
  1. Create random survey participants table with X participants and generate tokens.
  2. Export in csv
  3. Create another survey participants table and import the respective csv file.
  4. See "Duplicates are determined by:" -> Token is not displayed (in the past it was), see screens. It was working in the earlier versions of LimeSurvey 3 (did the manual section on this option with LimeSurvey 3 - this bug did not exist at that time).

I attached two screens + a csv file

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

cdorin

cdorin

2019-01-29 12:16

manager  

tokens_946414.csv (1,064 bytes)
Selection_067.png (13,151 bytes)
Selection_067.png (13,151 bytes)
Selection_068.png (12,287 bytes)
Selection_068.png (12,287 bytes)
p_teichmann

p_teichmann

2019-04-24 12:36

administrator   ~51565

The Option to choose the Token was removed with ticket 14334. The Tokens are allways duplicate forbidden.



ticket14334.png (30,698 bytes)
ticket14334.png (30,698 bytes)
DenisChenu

DenisChenu

2019-04-29 11:14

developer   ~51622

Yes, maybe need a warning text ?

cdorin

cdorin

2019-05-03 14:20

manager   ~51755

Hmm, @DenisChenu, shall we put an orange box above "Upload" in which it should be said that:

"Duplicates are determined by "tokens - token" by default."

Do you have any other suggestion?



Selection_133.png (29,923 bytes)
Selection_133.png (29,923 bytes)
DenisChenu

DenisChenu

2019-05-03 15:10

developer   ~51756

Warning : token field are always unique, then always checked as duplicate

Maybe ?

After the select ? Before ?

cdorin

cdorin

2019-05-03 15:58

manager   ~51758

Last edited: 2019-05-03 15:59

View 2 revisions

Talked to Carsten. He suggested use the message below the "option fields" (within the green box).

It should be something simple like (not even as a warning):

"The token field is always checked for duplicates."

Guess it's the simplest and most concise sentence we can use in this case

DenisChenu

DenisChenu

2019-05-07 17:04

developer   ~51810

https://github.com/LimeSurvey/LimeSurvey/commit/e55acef86a1ff54a2faf10ee8663c0ebfb2773b6

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52191

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28919

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52226

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master e55acef8

2019-05-07 17:03:53

DenisChenu

Details Diff
Fixed issue 14459 : show information about token field and duplicate Affected Issues
14459
mod - application/views/admin/token/csvupload.php Diff File

Issue History

Date Modified Username Field Change
2019-01-29 12:16 cdorin New Issue
2019-01-29 12:16 cdorin Status new => assigned
2019-01-29 12:16 cdorin Assigned To => LouisGac
2019-01-29 12:16 cdorin File Added: tokens_946414.csv
2019-01-29 12:16 cdorin File Added: Selection_067.png
2019-01-29 12:16 cdorin File Added: Selection_068.png
2019-01-29 16:14 cdorin Description Updated View Revisions
2019-02-11 15:40 cdorin Priority none => normal
2019-04-24 10:07 p_teichmann Assigned To LouisGac => p_teichmann
2019-04-24 12:36 p_teichmann File Added: ticket14334.png
2019-04-24 12:36 p_teichmann Note Added: 51565
2019-04-29 11:06 p_teichmann Assigned To p_teichmann => cdorin
2019-04-29 11:06 p_teichmann Status assigned => feedback
2019-04-29 11:14 DenisChenu Note Added: 51622
2019-05-03 14:20 cdorin File Added: Selection_133.png
2019-05-03 14:20 cdorin Note Added: 51755
2019-05-03 15:08 DenisChenu Assigned To cdorin => DenisChenu
2019-05-03 15:10 DenisChenu Note Added: 51756
2019-05-03 15:58 cdorin Note Added: 51758
2019-05-03 15:58 cdorin Status feedback => assigned
2019-05-03 15:59 cdorin Note Edited: 51758 View Revisions
2019-05-07 17:04 DenisChenu Status assigned => resolved
2019-05-07 17:04 DenisChenu Resolution open => fixed
2019-05-07 17:04 DenisChenu Fixed in Version => 3.17.x
2019-05-07 17:04 DenisChenu Note Added: 51810
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master e55acef8
2019-05-29 16:12 DenisChenu Note Added: 52191
2019-05-29 16:39 c_schmitz Note Added: 52226
2019-05-29 16:39 c_schmitz Status resolved => closed